Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026514
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 05. Production managementmajoralways2014-05-12 19:202014-05-29 23:05
ReporterngarciaView Statuspublic 
Assigned Torafaroda 
PriorityurgentResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revisionfabc81386bec
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026514: Production Runs with 0 quantity in the Product tab should not generate an entry in the M_TRANSACTION tab

DescriptionProduction Runs with 0 quantity in the Product tab should not generate an entry in the M_TRANSACTION tab
Steps To ReproduceAs group admin role:
   Create an Activity
   Create a Process Plan, a Version and a Operation
   Select the Create Standards checkbox and the previous created Activity
   Add a produced and a consumed product with Quantity = 0
   Create a Work Requirement for the previous created Process Plan and process it
   Create the work effort and process it
   Check an entry is created in the Product - Transactions tab for both products and in the Product - Costing tab for the produced products
TagsNo tags attached.
Attached Filesdiff file icon 26514.diff [^] (3,091 bytes) 2014-05-13 18:51 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00243743.0MP29 closedjecharri There are transaction with movement qty = 0 when they should not. 
related to defect 00246313.0MP28 closedcaristu Physical inventory should not generate transactions under some circunstancies 

-  Notes
(0067540)
rafaroda (developer)
2014-05-28 18:19
edited on: 2014-05-28 18:20

Steps to test the fix:
1) Mark Red wine, White wine and Rose wine as Production
2) Setup a Process Plan http://wiki.openbravo.com/wiki/Process_Plan [^]
* Red wine: P- 0.5
* White wine: P- 0.5
* Rose wine: P+ 1
3) Create a Work Requirement for the process plan and process it: products quantities <> 0 http://wiki.openbravo.com/wiki/Work_Requirement [^]
4) Create a Work Effort from this Work Requirement and validate it http://wiki.openbravo.com/wiki/Work_Effort [^]
5) Go to Transaction tab in each of the products windows and check that lines have been created after validating the Work Effort
6) Create a new requirement and process it: set some products quantities = 0
7) Create a Work Effort from this Work Requirement, set some products quantities = 0 and validate it
8) Go to Transaction tab in each of the products windows and check that lines have been created after validating the Work Effort only for products that had quantity <> 0 in the Work Effort

(0067567)
hgbot (developer)
2014-05-29 11:35

Repository: erp/devel/pi
Changeset: fabc81386bec810527ac580189c73cac7614a9fb
Author: Rafa Roda Palacios <rafa.roda <at> ubiquads.com>
Date: Wed May 28 18:09:28 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/fabc81386bec810527ac580189c73cac7614a9fb [^]

Fixes issue 26514 Validate Work Effort only inserts in M_TRANSACTION table when movement Quantity is <> 0

---
M src-db/database/model/functions/MA_WORKEFFORT_VALIDATE.xml
---
(0067568)
AtulOpenbravo (developer)
2014-05-29 11:38

Review + Testing, OK.
(0067589)
hudsonbot (developer)
2014-05-29 23:05

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bd7f8b6f935a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-05-12 19:20 ngarcia New Issue
2014-05-12 19:20 ngarcia Assigned To => jonalegriaesarte
2014-05-12 19:20 ngarcia Modules => Core
2014-05-12 19:20 ngarcia Triggers an Emergency Pack => No
2014-05-12 19:20 ngarcia Issue Monitored: networkb
2014-05-12 19:21 ngarcia Relationship added related to 0024374
2014-05-12 19:34 ngarcia Relationship added related to 0024631
2014-05-13 15:53 ngarcia Summary Production Runs 0 quantity in the Product tab should not generate an entry in the M_TRANSACTION tab => Production Runs with 0 quantity in the Product tab should not generate an entry in the M_TRANSACTION tab
2014-05-13 15:53 ngarcia Description Updated View Revisions
2014-05-13 18:51 ngarcia File Added: 26514.diff
2014-05-19 14:33 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2014-05-27 14:57 rafaroda Assigned To pramakrishnan => rafaroda
2014-05-27 14:57 rafaroda Status new => scheduled
2014-05-28 18:19 rafaroda Note Added: 0067540
2014-05-28 18:20 rafaroda Note Edited: 0067540 View Revisions
2014-05-29 11:35 hgbot Checkin
2014-05-29 11:35 hgbot Note Added: 0067567
2014-05-29 11:35 hgbot Status scheduled => resolved
2014-05-29 11:35 hgbot Resolution open => fixed
2014-05-29 11:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/fabc81386bec810527ac580189c73cac7614a9fb [^]
2014-05-29 11:38 AtulOpenbravo Note Added: 0067568
2014-05-29 11:38 AtulOpenbravo Status resolved => closed
2014-05-29 11:38 AtulOpenbravo Fixed in Version => pi
2014-05-29 23:05 hudsonbot Checkin
2014-05-29 23:05 hudsonbot Note Added: 0067589


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker